Part Prism: Difference between revisions

From FreeCAD Documentation
(Removed the UnfinishedDocu template.)
(Removed references to V0.19.)
 
(One intermediate revision by the same user not shown)
Line 32: Line 32:
== Usage == <!--T:8-->
== Usage == <!--T:8-->


<!--T:14-->
See [[Part_Primitives#Usage|Part Primitives]].
See [[Part_Primitives#Usage|Part Primitives]].


== Example ==
== Example == <!--T:15-->


<!--T:16-->
[[Image:Part_Prism_Scripting_Example.png|thumb|Part Prism from the scripting example]]
[[Image:Part_Prism_Scripting_Example.png|thumb|Part Prism from the scripting example]]


<!--T:17-->
A Part Prism object created with the [[#Scripting|scripting example]] below is shown here.
A Part Prism object created with the [[#Scripting|scripting example]] below is shown here.


== Properties == <!--T:4-->
== Properties == <!--T:4-->


<!--T:18-->
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


<!--T:19-->
A Part Prism object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Prism object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data === <!--T:20-->


<!--T:21-->
{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


<!--T:22-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


<!--T:23-->
{{TitleProperty|Prism}}
{{TitleProperty|Prism}}


Line 58: Line 66:
* {{PropertyData|Circumradius|Length}}: The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is {{Value|2mm}}.
* {{PropertyData|Circumradius|Length}}: The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the prism. The default is {{Value|10mm}}.
* {{PropertyData|Height|Length}}: The height of the prism. The default is {{Value|10mm}}.
* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.19}}
* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}.
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.19}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}.


== Scripting ==
== Scripting == <!--T:24-->


<!--T:25-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:26-->
A Part Prism can be created with the {{Incode|addObject()}} method of the document:
A Part Prism can be created with the {{Incode|addObject()}} method of the document:


Line 73: Line 83:
<translate>
<translate>


<!--T:27-->
* Where {{Incode|"myPrism"}} is the name for the object.
* Where {{Incode|"myPrism"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:28-->
Example:
Example:



Latest revision as of 15:41, 20 May 2023

Part Prism

Menu location
Part → Create primitives → Prism
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives

Description

A Part Prism is a parametric solid that can be created with the Part Primitives command. It is the result of extruding a regular polygon along a straight path. In the coordinate system defined by its DataPlacement property, the bottom face of the prism lies on the XY plane with its center at the origin and one of its vertices on the X axis.

Usage

See Part Primitives.

Example

Part Prism from the scripting example

A Part Prism object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DataPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DataCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.
  • DataHeight (Length): The height of the prism. The default is 10mm.
  • DataFirst Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is .
  • DataSecond Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is .

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()